Bug 107566

Summary: [CSS Exclusions] Ignore ExclusionPolygon edges above minLogicalIntervalTop
Product: WebKit Reporter: Hans Muller <giles_joplin>
Component: CSSAssignee: Hans Muller <giles_joplin>
Status: RESOLVED FIXED    
Severity: Normal CC: eric, ojan.autocc, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 103429    
Bug Blocks:    
Attachments:
Description Flags
Patch none

Description Hans Muller 2013-01-22 10:47:46 PST
ExclusionPolygon edges that lie above minLogicalIntervalTop can't contribute to the first fit location, so we can economize by ignoring them (don't create offset edges for them).
Comment 1 Hans Muller 2013-01-25 09:50:15 PST
Created attachment 184768 [details]
Patch
Comment 2 Dave Hyatt 2013-02-07 14:44:53 PST
Comment on attachment 184768 [details]
Patch

r=me
Comment 3 WebKit Review Bot 2013-02-07 15:22:04 PST
Comment on attachment 184768 [details]
Patch

Clearing flags on attachment: 184768

Committed r142187: <http://trac.webkit.org/changeset/142187>
Comment 4 WebKit Review Bot 2013-02-07 15:22:07 PST
All reviewed patches have been landed.  Closing bug.